Subject: RE: [16ng] Submission of draft-riegel-16ng-ip-over-eth-over-80216-00.txt

From: "Riegel, Maximilian" <[email-masked]>
Date: Tue, 20 Jun 2006 10:33:18 +0200

Syam,

According to the scope and name of the working group (16ng) my intention
was to keep the draft agnostic to a particular access network
architecture and to focus on the generic 802.16 protocol architecture.
If you replace 'BS' in the specification part of the I-D by the WiMAX
term 'ASN', you will get an imagination, how the specification fits into
the WiMAX network architecture. As WiMAX knows about a couple of
different models for the functional split between BS and ASN-GW
(including no split at all) the bridging function may be implemented in
either place depending on the particular ASN profile and the type and
granularity of the GRE tunnels between BS and ASN-GW.

Assuming that the SS is some kind of CPE with an integrated Ethernet
bridge (switch) for connecting hosts behind the SS, the bridge at the BS
side does not get knowledge about a particular MAC address attached to
the bridge in the SS prior to the first packet coming upstream. Only in
the special case of a 'single host' terminal, the bridge can learn the
MAC address out of the establishment of the MAC connection.

Bye
Max

-----Original Message-----
From: Syam Madanapalli [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2006 5:01 AM
To: Riegel, Maximilian
Cc: [email-masked]
Subject: Re: [16ng] Submission of
draft-riegel-16ng-ip-over-eth-over-80216-00.txt

Hello Max,

A couple of questions:

1. It is not clear how this draft fits into the WiMAX Network model.
e.g. In WiMAX all the packets travel to ASN GW before being delivered
to destination i.e. the MAC transport connection is extended all the way
to ASN GW. So I am wondering how this bridging functionality fits into
this kind of architecture.

2. Why cannot the bridge learn the MAC addresses from the establishment
of
802.16 MAC connections?

Thank you,
Syam

On 6/19/06, Riegel, Maximilian <[email-masked]> wrote:
> Dear Editor,
>
> I would like to submit the individual I-D
> draft-riegel-16ng-ip-over-eth-over-80216-00.txt aimed for discussion
in
> the 16ng BOF/WG.
>
>        Transmission of IP Packets over Ethernet over IEEE802.16
>            draft-riegel-16ng-ip-over-eth-over-80216-00.txt
>
> Abstract
>
>   This document describes the special behavior of the Ethernet
>   emulation on top of IEEE802.16 to efficiently support the
>   transmission of IPv4 as well as IPv6 packets over IEEE802.16 radio
>   links.
>   Due to resource constraints of radio transmission systems and the
>   limitations of the IEEE802.16 MAC layer for the emulation of
>   Ethernet, the transmission of IP over an emulated LAN on top of
>   IEEE802.16 may considerably benefit by adding IP specific support
>   functions within the Ethernet emulation on top of IEEE802.16.
>
>
>
> Please fetch the full document by
>
http://www.max.franken.de/ids/draft-riegel-16ng-ip-over-eth-over-80216-0
> 0.txt
>
> Kind regards
> Max
>
>
> _______________________________________________
> 16ng mailing list
> [email-masked]
> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>

---

From: "Syam Madanapalli" <[email-masked]>
Date: Tue, 20 Jun 2006 16:30:52 +0530

> granularity of the GRE tunnels between BS and ASN-GW.

Looks good to me. And may be we can add appendix for explaining
how this specification should be used in WiMAX, as the WIMAX Forum
is our immediate customer.

> MAC address out of the establishment of the MAC connection.

In 802.16 every packet/frame is transmitted on a connection. Each connection
has a set of identifiers. For IP over Eth CS, I think MAC address is a mandatory
classifier. I am not sure how the hosts behind the CPE can use their
MAC address for Ethernet Frame on the air link without a connection being
setup for that particular host. Can we setup a connection with wild card for the
MAC Address?

Thanks,
Syam

>From [email-masked] Tue Jun 20 23:20:25 2006
Date: Tue, 20 Jun 2006 22:20:40 +0900
From: Soohong Daniel Park <[email-masked]>
To: [email-masked]
Subject: [16ng] Tentative Agenda in Montreal

Here is a tentative agenda in Montreal. 
http://www3.ietf.org/proceedings/06jul/agenda/16ng.txt

Please let me know if I am missing anything.

Regards.

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.
>From [email-masked] Wed Jun 21 00:42:27 2006
Date: Tue, 20 Jun 2006 22:42:42 +0800 (CST)
From: Behcet Sarikaya <[email-masked]>
Subject: Re: [16ng] Tentative Agenda in Montreal
To: Soohong Daniel Park <[email-masked]>, [email-masked]
Reply-To: Behcet Sarikaya <[email-masked]>

--0-1330090203-1150814562=:48973
Content-Type: text/plain; charset=us-ascii

Hi Daniel,
  Since draft-madanapalli and draft-xia
address the same problem, placing them one after another seems like a good idea.

Regards,

--behcet

----- Original Message ----
From: Soohong Daniel Park <[email-masked]>
To: [email-masked]
Sent: Tuesday, June 20, 2006 8:20:40 AM
Subject: [16ng] Tentative Agenda in Montreal

Here is a tentative agenda in Montreal. 
http://www3.ietf.org/proceedings/06jul/agenda/16ng.txt

Please let me know if I am missing anything.

Regards.

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.
_______________________________________________
16ng mailing list
[email-masked]
http://eeca16.sogang.ac.kr/mailman/listinfo/16ng

--0-1330090203-1150814562=:48973
Content-Type: text/html; charset=us-ascii

<html><head><style type="text/css"><!-- DIV {margin:0px} --></style></head><body><div style="font-family:times new roman, new york, times, serif;font-size:12pt"><div style="font-family: times new roman,new york,times,serif; font-size: 12pt;">Hi Daniel,<br>&nbsp; Since draft-madanapalli and draft-xia<br>address the same problem, placing them one after another seems like a good idea.<br><br>Regards,<br><br>--behcet<br><br><div style="font-family: times new roman,new york,times,serif; font-size: 12pt;">----- Original Message ----<br>From: Soohong Daniel Park &lt;[email-masked]&gt;<br>To: [email-masked]<br>Sent: Tuesday, June 20, 2006 8:20:40 AM<br>Subject: [16ng] Tentative Agenda in Montreal<br><br><div>Here is a tentative agenda in Montreal. <br><a target="_blank" href="http://www3.ietf.org/proceedings/06jul/agenda/16ng.txt">http://www3.ietf.org/proceedings/06jul/agenda/16ng.txt</a><br><br>Please let me know if I am missing
 anything.<br><br><br>Regards.<br><br>Daniel (Soohong Daniel Park)<br>Mobile Convergence Laboratory, SAMSUNG Electronics.<br>_______________________________________________<br>16ng mailing list<br>[email-masked]<br><a target="_blank" href="http://eeca16.sogang.ac.kr/mailman/listinfo/16ng">http://eeca16.sogang.ac.kr/mailman/listinfo/16ng</a><br></div></div><br></div></div></body></html>
--0-1330090203-1150814562=:48973--
>From [email-masked] Wed Jun 21 00:58:43 2006
Date: Tue, 20 Jun 2006 07:58:58 -0700 (PDT)
From: Behcet Sarikaya <[email-masked]>
Subject: Re: [16ng] Submission of draft-riegel-16ng-ip-over-eth-over-80216
	-00.txt
To: Rina Nathaniel <[email-masked]>
cc: [email-masked]
Reply-To: Behcet Sarikaya <[email-masked]>

--0-607251373-1150815538=:52577
Content-Type: text/plain; charset=us-ascii

----- Original Message ----
From: Rina Nathaniel <[email-masked]>
To: "Riegel, Maximilian" <[email-masked]>; Syam Madanapalli <[email-masked]>
Cc: [email-masked]
Sent: Tuesday, June 20, 2006 5:44:36 AM
Subject: RE: [16ng] Submission of draft-riegel-16ng-ip-over-eth-over-80216 -00.txt

Max,

In IEEE, 802.16k WG is working on bridging see the links below.
This WG will write an amendment to IEEE 802.1D-2004 (MAC Bridges) that
explain bridging with 802.16.
http://ieee802.org/16/pubs/80216k.html
http://grouper.ieee.org/groups/802/16/docs/06/S80216-06_001.pdf

Rina Nathaniel, 
CTO group

==>
This was my impression as well, Max's draft reads like a Layer 2 document so it probably belongs to an IEEE WG (maybe 802.16k). It certainly does not read like RFC 2464.
It seems like Sec. 4.1.3 is the only relevant section which is quite short right now.
Another suggestion I have is to include some discussion on Bernard's draft.

Regards,

--behcet
-----Original Message-----
From: Riegel, Maximilian [mailto:[email-masked]]
Sent: Tuesday, June 20, 2006 11:33 AM
To: Syam Madanapalli
Cc: [email-masked]
Subject: RE: [16ng] Submission of

Syam,

Bye
Max

-----Original Message-----
From: Syam Madanapalli [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2006 5:01 AM
To: Riegel, Maximilian
Cc: [email-masked]
Subject: Re: [16ng] Submission of

Hello Max,

A couple of questions:

Thank you,
Syam

in

 
 
****************************************************************************
************
This footnote confirms that this email message has been scanned by
PineApp Mail-SeCure for the presence of malicious code, vandals & computer
viruses(192).
****************************************************************************
************

 
****************************************************************************
********
This footnote confirms that this email message has been scanned by
PineApp Mail-SeCure for the presence of malicious code, vandals & computer
viruses(43).
****************************************************************************
********

 
************************************************************************************
This footnote confirms that this email message has been scanned by
PineApp Mail-SeCure for the presence of malicious code, vandals & computer viruses.
************************************************************************************

--0-607251373-1150815538=:52577
Content-Type: text/html; charset=us-ascii

<html><head><style type="text/css"><!-- DIV {margin:0px} --></style></head><body><div style="font-family:times new roman, new york, times, serif;font-size:12pt"><div style="font-family: times new roman,new york,times,serif; font-size: 12pt;"><br><br><div style="font-family: times new roman,new york,times,serif; font-size: 12pt;">----- Original Message ----<br>From: Rina Nathaniel &lt;[email-masked]&gt;<br>To: "Riegel, Maximilian" &lt;[email-masked]&gt;; Syam Madanapalli &lt;[email-masked]&gt;<br>Cc: [email-masked]<br>Sent: Tuesday, June 20, 2006 5:44:36 AM<br>Subject: RE: [16ng] Submission of draft-riegel-16ng-ip-over-eth-over-80216 -00.txt<br><br><div>Max,<br><br>In IEEE, 802.16k WG is working on bridging see the links below.<br>This WG will write an amendment to IEEE 802.1D-2004 (MAC Bridges) that<br>explain bridging with 802.16.<br><a target="_blank"
 href="http://ieee802.org/16/pubs/80216k.html">http://ieee802.org/16/pubs/80216k.html</a><br><a target="_blank" href="http://grouper.ieee.org/groups/802/16/docs/06/S80216-06_001.pdf">http://grouper.ieee.org/groups/802/16/docs/06/S80216-06_001.pdf</a><br><br>Rina Nathaniel, <br>CTO group<br><br>==&gt;<br>This was my impression as well, Max's draft reads like a Layer 2 document so it probably belongs to an IEEE WG (maybe 802.16k). It certainly does not read like RFC 2464.<br>It seems like Sec. 4.1.3 is the only relevant section which is quite short right now.<br>Another suggestion I have is to include some discussion on Bernard's draft.<br><br>Regards,<br><br>--behcet<br>-----Original Message-----<br>From: Riegel, Maximilian [mailto:[email-masked]]<br>Sent: Tuesday, June 20, 2006 11:33 AM<br>To: Syam Madanapalli<br>Cc: [email-masked]<br>Subject: RE: [16ng] Submission
 of<br>draft-riegel-16ng-ip-over-eth-over-80216-00.txt<br><br><br>Syam,<br><br>According to the scope and name of the working group (16ng) my intention<br>was to keep the draft agnostic to a particular access network<br>architecture and to focus on the generic 802.16 protocol architecture.<br>If you replace 'BS' in the specification part of the I-D by the WiMAX<br>term 'ASN', you will get an imagination, how the specification fits into<br>the WiMAX network architecture. As WiMAX knows about a couple of<br>different models for the functional split between BS and ASN-GW<br>(including no split at all) the bridging function may be implemented in<br>either place depending on the particular ASN profile and the type and<br>granularity of the GRE tunnels between BS and ASN-GW.<br><br>Assuming that the SS is some kind of CPE with an integrated Ethernet<br>bridge (switch) for connecting hosts behind the SS, the bridge at the BS<br>side does not get knowledge about a particular MAC
 address attached to<br>the bridge in the SS prior to the first packet coming upstream. Only in<br>the special case of a 'single host' terminal, the bridge can learn the<br>MAC address out of the establishment of the MAC connection.<br><br>Bye<br>Max<br><br>-----Original Message-----<br>From: Syam Madanapalli [mailto:[email-masked]] <br>Sent: Tuesday, June 20, 2006 5:01 AM<br>To: Riegel, Maximilian<br>Cc: [email-masked]<br>Subject: Re: [16ng] Submission of<br>draft-riegel-16ng-ip-over-eth-over-80216-00.txt<br><br>Hello Max,<br><br>A couple of questions:<br><br>1. It is not clear how this draft fits into the WiMAX Network model.<br>e.g. In WiMAX all the packets travel to ASN GW before being delivered<br>to destination i.e. the MAC transport connection is extended all the way<br>to ASN GW. So I am wondering how this bridging functionality fits into<br>this kind of architecture.<br><br>2. Why cannot the bridge learn the MAC addresses from the
 establishment<br>of<br>802.16 MAC connections?<br><br>Thank you,<br>Syam<br><br><br>On 6/19/06, Riegel, Maximilian &lt;[email-masked]&gt; wrote:<br>&gt; Dear Editor,<br>&gt;<br>&gt; I would like to submit the individual I-D<br>&gt; draft-riegel-16ng-ip-over-eth-over-80216-00.txt aimed for discussion<br>in<br>&gt; the 16ng BOF/WG.<br>&gt;<br>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Transmission of IP Packets over Ethernet over IEEE802.16<br>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;draft-riegel-16ng-ip-over-eth-over-80216-00.txt<br>&gt;<br>&gt; Abstract<br>&gt;<br>&gt;&nbsp;&nbsp; This document describes the special behavior of the Ethernet<br>&gt;&nbsp;&nbsp; emulation on top of IEEE802.16 to efficiently support the<br>&gt;&nbsp;&nbsp; transmission of IPv4 as well as IPv6 packets over IEEE802.16 radio<br>&gt;&nbsp;&nbsp; links.<br>&gt;&nbsp;&nbsp; Due to resource constraints of radio transmission systems and
 the<br>&gt;&nbsp;&nbsp; limitations of the IEEE802.16 MAC layer for the emulation of<br>&gt;&nbsp;&nbsp; Ethernet, the transmission of IP over an emulated LAN on top of<br>&gt;&nbsp;&nbsp; IEEE802.16 may considerably benefit by adding IP specific support<br>&gt;&nbsp;&nbsp; functions within the Ethernet emulation on top of IEEE802.16.<br>&gt;<br>&gt;<br>&gt;<br>&gt; Please fetch the full document by<br>&gt;<br><a target="_blank" href="http://www.max.franken.de/ids/draft-riegel-16ng-ip-over-eth-over-80216-0">http://www.max.franken.de/ids/draft-riegel-16ng-ip-over-eth-over-80216-0</a><br>&gt; 0.txt<br>&gt;<br>&gt; Kind regards<br>&gt; Max<br>&gt;<br>&gt;<br>&gt; _______________________________________________<br>&gt; 16ng mailing list<br>&gt; [email-masked]<br>&gt; <a target="_blank" href="http://eeca16.sogang.ac.kr/mailman/listinfo/16ng">http://eeca16.sogang.ac.kr/mailman/listinfo/16ng</a><br>&gt;<br><br>_______________________________________________<br>16ng
 mailing list<br>[email-masked]<br><a target="_blank" href="http://eeca16.sogang.ac.kr/mailman/listinfo/16ng">http://eeca16.sogang.ac.kr/mailman/listinfo/16ng</a><br><br><br><br> <br> <br>****************************************************************************<br>************<br>This footnote confirms that this email message has been scanned by<br>PineApp Mail-SeCure for the presence of malicious code, vandals &amp; computer<br>viruses(192).<br>****************************************************************************<br>************<br><br><br><br><br><br><br> <br> <br>****************************************************************************<br>********<br>This footnote confirms that this email message has been scanned by<br>PineApp Mail-SeCure for the presence of malicious code, vandals &amp; computer<br>viruses(43).<br>****************************************************************************<br>********<br><br><br><br><br><br> <br>
 <br>************************************************************************************<br>This footnote confirms that this email message has been scanned by<br>PineApp Mail-SeCure for the presence of malicious code, vandals &amp; computer viruses.<br>************************************************************************************<br><br><br><br>_______________________________________________<br>16ng mailing list<br>[email-masked]<br><a target="_blank" href="http://eeca16.sogang.ac.kr/mailman/listinfo/16ng">http://eeca16.sogang.ac.kr/mailman/listinfo/16ng</a><br></div></div><br></div></div></body></html>
--0-607251373-1150815538=:52577--
>From [email-masked] Wed Jun 21 01:57:25 2006
Content-class: urn:content-classes:message
Subject: RE: [16ng] Submission of
	draft-riegel-16ng-ip-over-eth-over-80216-00.txt
Date: Tue, 20 Jun 2006 17:57:33 +0200
From: "Riegel, Maximilian" <[email-masked]>
To: "Behcet Sarikaya" <[email-masked]>,
   "Rina Nathaniel" <[email-masked]>
cc: [email-masked]

This is a multi-part message in MIME format.

------_=_NextPart_001_01C69482.3E2D75C6
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Thanks for the pointer to IEEE802.16k. I know about this effort, but it
addresses 'only' the plain bridging function, not the specific functions
necessary for supporting transmission of IP packets without wasting too
much resources.
=20
Please be aware that I included section 4.1.1 _for information_ to
provide the reader of the document a better insight into the specifics
for processing IP packets over IEEE802.16. It is right, 4.1.1 belongs
into the scope of IEEE802.
=20
And please note, that the I-D is aimed as the initial document mainly
providing the outline and expecting inputs from other contributors.
There is content missing on IPv6 specific packet processing (to be done
next), and there is a huge open section on IPv4 and IPv6 over Ethernet
with IEEE802.16 multicast support.
=20
### more contributors kindly appreciated ###, and
### much more work to be done ###
=20
Bye
Max

________________________________

From: [email-masked]
[mailto:[email-masked]] On Behalf Of Behcet Sarikaya
Sent: Tuesday, June 20, 2006 4:59 PM
To: Rina Nathaniel
Cc: [email-masked]
Subject: Re: [16ng] Submission of
draft-riegel-16ng-ip-over-eth-over-80216-00.txt

----- Original Message ----
From: Rina Nathaniel <[email-masked]>
To: "Riegel, Maximilian" <[email-masked]>; Syam
Madanapalli <[email-masked]>
Cc: [email-masked]
Sent: Tuesday, June 20, 2006 5:44:36 AM
Subject: RE: [16ng] Submission of
draft-riegel-16ng-ip-over-eth-over-80216 -00.txt

Max,

In IEEE, 802.16k WG is working on bridging see the links below.
This WG will write an amendment to IEEE 802.1D-2004 (MAC Bridges) that
explain bridging with 802.16.
http://ieee802.org/16/pubs/80216k.html
http://grouper.ieee.org/groups/802/16/docs/06/S80216-06_001.pdf

Rina Nathaniel,=20
CTO group

=3D=3D>
This was my impression as well, Max's draft reads like a Layer 2
document so it probably belongs to an IEEE WG (maybe 802.16k). It
certainly does not read like RFC 2464.
It seems like Sec. 4.1.3 is the only relevant section which is quite
short right now.
Another suggestion I have is to include some discussion on Bernard's
draft.

Regards,

--behcet
-----Original Message-----
From: Riegel, Maximilian [mailto:[email-masked]]
Sent: Tuesday, June 20, 2006 11:33 AM
To: Syam Madanapalli
Cc: [email-masked]
Subject: RE: [16ng] Submission of

Syam,

Bye
Max

-----Original Message-----
From: Syam Madanapalli [mailto:[email-masked]]=20
Sent: Tuesday, June 20, 2006 5:01 AM
To: Riegel, Maximilian
Cc: [email-masked]
Subject: Re: [16ng] Submission of

Hello Max,

A couple of questions:

Thank you,
Syam

in

************************************************************************
****
************
This footnote confirms that this email message has been scanned by
PineApp Mail-SeCure for the presence of malicious code, vandals &
computer
viruses(192).
************************************************************************
****
************

************************************************************************
****
********
This footnote confirms that this email message has been scanned by
PineApp Mail-SeCure for the presence of malicious code, vandals &
computer
viruses(43).
************************************************************************
****
********

************************************************************************
************
This footnote confirms that this email message has been scanned by
PineApp Mail-SeCure for the presence of malicious code, vandals &
computer viruses.
************************************************************************
************

------_=_NextPart_001_01C69482.3E2D75C6
Content-Type: text/html;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=3DContent-Type content=3D"text/html; =
charset=3Dus-ascii">
<STYLE type=3Dtext/css>DIV {
	MARGIN: 0px
}
</STYLE>

<META content=3D"MSHTML 6.00.2900.2876" name=3DGENERATOR></HEAD>
<BODY>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2>Thanks for the pointer to IEEE802.16k. I know =
about this=20
effort, but it addresses 'only' the plain bridging function, not the =
specific=20
functions necessary for supporting transmission of IP packets without =
wasting=20
too much resources.</FONT></SPAN></DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2>Please be aware that I included section 4.1.1 =
_for=20
information_ to provide the reader of the document a better insight into =
the=20
specifics for processing IP packets over IEEE802.16. It is right, 4.1.1 =
belongs=20
into the scope of IEEE802.</FONT></SPAN></DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2>And please&nbsp;note, that&nbsp;the I-D is =
aimed=20
as&nbsp;the initial document mainly providing the outline and expecting =
inputs=20
from other contributors.</FONT></SPAN></DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2>There is content missing on IPv6 specific =
packet processing=20
(to be done next), and there is a huge open section on IPv4 and IPv6 =
over=20
Ethernet with IEEE802.16 multicast support.</FONT></SPAN></DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2>### more contributors kindly appreciated ###,=20
and</FONT></SPAN></DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2>### much more work to be done =
###</FONT></SPAN></DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2>Bye</FONT></SPAN></DIV>
<DIV dir=3Dltr align=3Dleft><SPAN class=3D358444415-20062006><FONT =
face=3D"Courier New"=20
color=3D#000080 size=3D2>Max</FONT></SPAN></DIV><BR>
<DIV class=3DOutlookMessageHeader lang=3Den-us dir=3Dltr align=3Dleft>
<HR tabIndex=3D-1>
<FONT face=3DTahoma size=3D2><B>From:</B> =
[email-masked]=20
[mailto:[email-masked]] <B>On Behalf Of </B>Behcet=20
Sarikaya<BR><B>Sent:</B> Tuesday, June 20, 2006 4:59 PM<BR><B>To:</B> =
Rina=20
Nathaniel<BR><B>Cc:</B> [email-masked]<BR><B>Subject:</B> Re: =
[16ng]=20
Submission of=20
draft-riegel-16ng-ip-over-eth-over-80216-00.txt<BR></FONT><BR></DIV>
<DIV></DIV>
<DIV=20
style=3D"FONT-SIZE: 12pt; FONT-FAMILY: times new roman, new york, times, =
serif">
<DIV=20
style=3D"FONT-SIZE: 12pt; FONT-FAMILY: times new roman,new =
york,times,serif"><BR><BR>
<DIV=20
style=3D"FONT-SIZE: 12pt; FONT-FAMILY: times new roman,new =
york,times,serif">-----=20
Original Message ----<BR>From: Rina Nathaniel=20
&lt;[email-masked]&gt;<BR>To: "Riegel, Maximilian"=20
&lt;[email-masked]&gt;; Syam Madanapalli=20
&lt;[email-masked]&gt;<BR>Cc: [email-masked]<BR>Sent: =
Tuesday,=20
June 20, 2006 5:44:36 AM<BR>Subject: RE: [16ng] Submission of=20
draft-riegel-16ng-ip-over-eth-over-80216 -00.txt<BR><BR>
<DIV>Max,<BR><BR>In IEEE, 802.16k WG is working on bridging see the =
links=20
below.<BR>This WG will write an amendment to IEEE 802.1D-2004 (MAC =
Bridges)=20
that<BR>explain bridging with 802.16.<BR><A=20
href=3D"http://ieee802.org/16/pubs/80216k.html"=20
target=3D_blank>http://ieee802.org/16/pubs/80216k.html</A><BR><A=20
href=3D"http://grouper.ieee.org/groups/802/16/docs/06/S80216-06_001.pdf" =

target=3D_blank>http://grouper.ieee.org/groups/802/16/docs/06/S80216-06_0=
01.pdf</A><BR><BR>Rina=20
Nathaniel, <BR>CTO group<BR><BR>=3D=3D&gt;<BR>This was my impression as =
well, Max's=20
draft reads like a Layer 2 document so it probably belongs to an IEEE WG =
(maybe=20
802.16k). It certainly does not read like RFC 2464.<BR>It seems like =
Sec. 4.1.3=20
is the only relevant section which is quite short right now.<BR>Another=20
suggestion I have is to include some discussion on Bernard's=20
draft.<BR><BR>Regards,<BR><BR>--behcet<BR>-----Original =
Message-----<BR>From:=20
Riegel, Maximilian [mailto:[email-masked]]<BR>Sent: =
Tuesday, June=20
20, 2006 11:33 AM<BR>To: Syam Madanapalli<BR>Cc:=20
[email-masked]<BR>Subject: RE: [16ng] Submission=20
of<BR>draft-riegel-16ng-ip-over-eth-over-80216-00.txt<BR><BR><BR>Syam,<BR=
><BR>According=20
to the scope and name of the working group (16ng) my intention<BR>was to =
keep=20
the draft agnostic to a particular access network<BR>architecture and to =
focus=20
on the generic 802.16 protocol architecture.<BR>If you replace 'BS' in =
the=20
specification part of the I-D by the WiMAX<BR>term 'ASN', you will get =
an=20
imagination, how the specification fits into<BR>the WiMAX network =
architecture.=20
As WiMAX knows about a couple of<BR>different models for the functional =
split=20
between BS and ASN-GW<BR>(including no split at all) the bridging =
function may=20
be implemented in<BR>either place depending on the particular ASN =
profile and=20
the type and<BR>granularity of the GRE tunnels between BS and=20
ASN-GW.<BR><BR>Assuming that the SS is some kind of CPE with an =
integrated=20
Ethernet<BR>bridge (switch) for connecting hosts behind the SS, the =
bridge at=20
the BS<BR>side does not get knowledge about a particular MAC address =
attached=20
to<BR>the bridge in the SS prior to the first packet coming upstream. =
Only=20
in<BR>the special case of a 'single host' terminal, the bridge can learn =

the<BR>MAC address out of the establishment of the MAC=20
connection.<BR><BR>Bye<BR>Max<BR><BR>-----Original Message-----<BR>From: =
Syam=20
Madanapalli [mailto:[email-masked]] <BR>Sent: Tuesday, June 20, =
2006=20
5:01 AM<BR>To: Riegel, Maximilian<BR>Cc: =
[email-masked]<BR>Subject:=20
Re: [16ng] Submission=20
of<BR>draft-riegel-16ng-ip-over-eth-over-80216-00.txt<BR><BR>Hello =
Max,<BR><BR>A=20
couple of questions:<BR><BR>1. It is not clear how this draft fits into =
the=20
WiMAX Network model.<BR>e.g. In WiMAX all the packets travel to ASN GW =
before=20
being delivered<BR>to destination i.e. the MAC transport connection is =
extended=20
all the way<BR>to ASN GW. So I am wondering how this bridging =
functionality fits=20
into<BR>this kind of architecture.<BR><BR>2. Why cannot the bridge learn =
the MAC=20
addresses from the establishment<BR>of<BR>802.16 MAC =
connections?<BR><BR>Thank=20
you,<BR>Syam<BR><BR><BR>On 6/19/06, Riegel, Maximilian=20
&lt;[email-masked]&gt; wrote:<BR>&gt; Dear=20
Editor,<BR>&gt;<BR>&gt; I would like to submit the individual =
I-D<BR>&gt;=20
draft-riegel-16ng-ip-over-eth-over-80216-00.txt aimed for=20
discussion<BR>in<BR>&gt; the 16ng=20
BOF/WG.<BR>&gt;<BR>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tr=
ansmission=20
of IP Packets over Ethernet over=20
IEEE802.16<BR>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;draft-riegel-16ng-ip-over-eth-over-80216-00.txt<BR>&gt;<=
BR>&gt;=20
Abstract<BR>&gt;<BR>&gt;&nbsp;&nbsp; This document describes the special =

behavior of the Ethernet<BR>&gt;&nbsp;&nbsp; emulation on top of =
IEEE802.16 to=20
efficiently support the<BR>&gt;&nbsp;&nbsp; transmission of IPv4 as well =
as IPv6=20
packets over IEEE802.16 radio<BR>&gt;&nbsp;&nbsp; =
links.<BR>&gt;&nbsp;&nbsp; Due=20
to resource constraints of radio transmission systems and=20
the<BR>&gt;&nbsp;&nbsp; limitations of the IEEE802.16 MAC layer for the=20
emulation of<BR>&gt;&nbsp;&nbsp; Ethernet, the transmission of IP over =
an=20
emulated LAN on top of<BR>&gt;&nbsp;&nbsp; IEEE802.16 may considerably =
benefit=20
by adding IP specific support<BR>&gt;&nbsp;&nbsp; functions within the =
Ethernet=20
emulation on top of IEEE802.16.<BR>&gt;<BR>&gt;<BR>&gt;<BR>&gt; Please =
fetch the=20
full document by<BR>&gt;<BR><A=20
href=3D"http://www.max.franken.de/ids/draft-riegel-16ng-ip-over-eth-over-=
80216-0"=20
target=3D_blank>http://www.max.franken.de/ids/draft-riegel-16ng-ip-over-e=
th-over-80216-0</A><BR>&gt;=20
0.txt<BR>&gt;<BR>&gt; Kind regards<BR>&gt; Max<BR>&gt;<BR>&gt;<BR>&gt;=20
_______________________________________________<BR>&gt; 16ng mailing=20
list<BR>&gt; [email-masked]<BR>&gt; <A=20
href=3D"http://eeca16.sogang.ac.kr/mailman/listinfo/16ng"=20
target=3D_blank>http://eeca16.sogang.ac.kr/mailman/listinfo/16ng</A><BR>&=
gt;<BR><BR>_______________________________________________<BR>16ng=20
mailing list<BR>[email-masked]<BR><A=20
href=3D"http://eeca16.sogang.ac.kr/mailman/listinfo/16ng"=20
target=3D_blank>http://eeca16.sogang.ac.kr/mailman/listinfo/16ng</A><BR><=
BR><BR><BR><BR><BR>******************************************************=
**********************<BR>************<BR>This=20
footnote confirms that this email message has been scanned by<BR>PineApp =

Mail-SeCure for the presence of malicious code, vandals &amp;=20
computer<BR>viruses(192).<BR>********************************************=
********************************<BR>************<BR><BR><BR><BR><BR><BR><=
BR><BR><BR>**************************************************************=
**************<BR>********<BR>This=20
footnote confirms that this email message has been scanned by<BR>PineApp =

Mail-SeCure for the presence of malicious code, vandals &amp;=20
computer<BR>viruses(43).<BR>*********************************************=
*******************************<BR>********<BR><BR><BR><BR><BR><BR><BR><B=
R>***********************************************************************=
*************<BR>This=20
footnote confirms that this email message has been scanned by<BR>PineApp =

Mail-SeCure for the presence of malicious code, vandals &amp; computer=20
viruses.<BR>*************************************************************=
***********************<BR><BR><BR><BR>__________________________________=
_____________<BR>16ng=20
mailing list<BR>[email-masked]<BR><A=20
href=3D"http://eeca16.sogang.ac.kr/mailman/listinfo/16ng"=20
target=3D_blank>http://eeca16.sogang.ac.kr/mailman/listinfo/16ng</A><BR><=
/DIV></DIV><BR></DIV></DIV></BODY></HTML>

------_=_NextPart_001_01C69482.3E2D75C6--
>From [email-masked] Wed Jun 21 06:08:21 2006
Content-class: urn:content-classes:message
Subject: RE: [16ng] Submission
	ofdraft-riegel-16ng-ip-over-eth-over-80216-00.txt
Date: Tue, 20 Jun 2006 13:08:28 -0700
From: "Erik Colban" <[email-masked]>
To: "Riegel, Maximilian" <[email-masked]>
cc: [email-masked]

Hi Max,

Hi Max,

I am a little confused about the distribution of the BS into an ASN-GW
and a BS. Just to make it clear, you are not thinking that the
convergence sublayer, which is part of the MAC, could be located at the
ASN-GW, and that one would tunnel the MAC SDUs from the ASN-GW to the
MAC CPS layer at the BS, are you?

Assuming that the MAC CS layer is at the BS and separate from the ASN-GW
and that MS1 and MS2 are both served by the same BS. If an Ethernet
frame were sent from SS1 to SS2(i.e., the Ethernet MAC destination
address is one that belongs to a host at SS2), the Ethernet frame is
sent from SS1 to the BS and is then delivered from the BS CS layer to
the Ethernet layer above at the BS. The BS blindly forwards the Ethernet
frame to the ASN-GW through a tunnel, despite the fact that it would
have had to have learned that the destination MAC address belongs to a
host at SS2. The ASN-GW, which is acting as a bridge, sends the Ethernet
frame back to the BS through a tunnel, and the BS passes the Ethenet
frame down to the MAC CS for delivery to SS2. The IP layer (or any layer
above Ethernet, e.g., PPP, etc.) is transparent between SS1 and SS2. Is
this a correct understanding? If you do bridging at the BS, as you
mention in your email, then the Eth frame would bypass the ASN-GW. Would
the BS filter such frames to prevent this from happening?

Your draft mentions ASN. If it is supposed to be network architecture
agnostic, what are the network architecture assumptions of this draft?
What is ASN? There is no entry for ASN in the terminology section.

Thanks,

Erik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Riegel,
Maximilian
Sent: Tuesday, June 20, 2006 1:33 AM
To: Syam Madanapalli
Cc: [email-masked]
Subject: RE: [16ng] Submission
ofdraft-riegel-16ng-ip-over-eth-over-80216-00.txt

Syam,

Bye
Max

-----Original Message-----
From: Syam Madanapalli [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2006 5:01 AM
To: Riegel, Maximilian
Cc: [email-masked]
Subject: Re: [16ng] Submission of

Hello Max,

A couple of questions:

Thank you,
Syam

in